## com.sun.pdfview.decode
Class CCITTFaxDecode

    java.lang.Object
      com.sun.pdfview.decode.CCITTFaxDecode

    public class CCITTFaxDecode

extends java.lang.Object

Decode CCITT Group 4 format coding into a byte array

Field Summary
`static int` `BLACK`
`static int` `HORIZONTAL`
`static int` `PASS`
`static int` `TWOD`
`static int` `UNCOMPRESSED`
`static int` `VERTICAL`
`static int` `WHITE`

Method Summary
`protected static java.nio.ByteBuffer` `decode(PDFObject dict, java.nio.ByteBuffer buf, PDFObject params)` decode a buffer bits to a bitmap image using the CCITT Group 4 fax encoding.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TWOD

    public static final int TWOD

See Also:
  Constant Field Values

### UNCOMPRESSED

    public static final int UNCOMPRESSED

See Also:
  Constant Field Values

### PASS

    public static final int PASS

See Also:
  Constant Field Values

### VERTICAL

    public static final int VERTICAL

See Also:
  Constant Field Values

### HORIZONTAL

    public static final int HORIZONTAL

See Also:
  Constant Field Values

### BLACK

    public static final int BLACK

See Also:
  Constant Field Values

### WHITE

    public static final int WHITE

See Also:
  Constant Field Values

Method Detail

### decode

    protected static java.nio.ByteBuffer decode(PDFObject dict,
                                                java.nio.ByteBuffer buf,
                                                PDFObject params)
                                         throws java.io.IOException

  decode a buffer bits to a bitmap image using the CCITT Group 4 fax encoding.

  Parameters:
    `buf` - the input byte buffer
    `params` - the input parameters; must be a PDF dictionary that contains an entry for "Columns" describing how wide the image is in pixels.
  Returns:
    a byte buffer describing the bits of the image. Each line of the image will be padded to the next byte boundary.
  Throws:
    `java.io.IOException`